Retrieve Package Deploy Results
After Vault has finished processing the deploy job, use this request to retrieve the results of the completed deploy.
GET
/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy/resultsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
package_id | The id field value of the vault_package__v object record used for deploy. See Deploy Package above. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v21.2/vobject/vault_package__v/0PI000000000101/actions/deploy/resultsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"total_steps": 1,
"deployed": 0,
"deployed_with_warnings": 0,
"deployed_with_failures": 0,
"deployed_with_error": 0,
"failed": 1,
"skipped": 0,
"package_status__v": "error__v",
"deployment_log": [
{
"filename": "PKG-0018-1-192204.log",
"url": "https://myvault.veevavault.com/api/v21.2/vobjects/vault_package__v/0PI000000000702/attachments/44/versions/1/file",
"created_date__v": "2019-12-06 23:30:01.509"
}
]
},
"package_steps": [
{
"id": "0IS000000000702",
"name__v": "00010",
"step_type__v": "Data",
"step_name__v": "batch__v",
"type__v": "Object",
"deployment_status__v": "error__v",
"package_components": [],
"package_data": [
{
"id": "0PT000000000502",
"name__v": "DSET-00008-Batch",
"object__v": "batch__v",
"data_type__v": "Object",
"data_action__v": "Create",
"record_migration_mode__sys": true,
"record_count__sys": "0",
"checksum__v": "e3190ec2d6b1c17e25d1a5f4e2b64c1f"
}
],
"package_code": []
}
]
}Response Details
Section link for Response DetailsLearn more about the possible response values for deployment_status__v in Vault Help